D-Bus 1.13.18

Data Fields
DBusKeyring Struct Reference
D-Bus secret internal implementation details » DBusKeyring implementation details

Internals of DBusKeyring. More...

## Data Fields
int | refcount
| Reference count.
DBusString | directory
| Directory the below two items are inside.
DBusString | filename
| Keyring filename.
DBusString | filename_lock
| Name of lockfile.
DBusKey * | keys
| Keys loaded from the file.
int | n_keys
| Number of keys.
DBusCredentials * | credentials
| Credentials containing user the keyring is for.

## Detailed Description

Internals of DBusKeyring.

DBusKeyring internals. DBusKeyring is an opaque object, it must be used via accessor functions.

Definition at line 112 of file dbus-keyring.c.

The documentation for this struct was generated from the following file:

- dbus-keyring.c